@import '../styles/functions/rem.scss';
@import '../styles/theme.scss';

.wrapper {
    background-color: $background-color;
    @include rem-fallback(padding, 55);
}

.post {
    position: relative;
    width: 90%;
    box-sizing: border-box;
    text-shadow: 2px 2px 1px #000000;
    margin-left: auto;
    margin-right: auto;
    @include rem-fallback(margin-top, 30);
    @include rem-fallback(padding, 5);
    @include rem-fallback(font-size, 22);
    @include rem-fallback(line-height, 30);

    a {
        color: $primary-color;
        text-shadow: 2px 2px 1px $secondary-color;
        text-decoration: none;

        &:hover {
            color: $secondary-color;
            text-shadow: 2px 2px 1px #000000;
            text-decoration: underline;
        }
    }

    p {
        box-sizing: border-box;
        @include rem-fallback(padding-bottom, 20);

        img {
            max-width: 100%;
        }
    }

    ul, ol {
        @include rem-fallback(padding-left, 20);

        li {
            word-break: break-all;
            @include rem-fallback(padding-bottom, 10);
        }
    }

    ul {
        list-style-type: disc;
    }

    ol {
        list-style-type: decimal;
    }

    h2, h3, h4 {
        font-weight: bold;
        background-color: $secondary-color;
        background: linear-gradient(to left, $background-color, $secondary-color);
        border-radius: 10px;
        display: block;
        @include rem-fallback(padding, 15);
        @include rem-fallback(margin-top, 20);
        @include rem-fallback(margin-bottom, 20);
    }

    h1 {
        font-weight: bold;
        border-bottom: 2px solid $secondary-color;
        @include rem-fallback(font-size, 48);
        @include rem-fallback(line-height, 48);
        @include rem-fallback(padding-bottom, 10);
        @include rem-fallback(margin-bottom, 40);
    }

    .footer {
        display: grid;
        grid-template-columns: 1fr 1fr;
        width: 100%;
        background-color: $alt-color;
        box-sizing: border-box;
        text-shadow: 1px 1px 1px #000000;

        @include rem-fallback(font-size, 20);
        @include rem-fallback(padding, 20);
        @include rem-fallback(margin-top, 40);

        .info{
            justify-self: start;
            align-self: center;
        }

        .social {
            justify-self: end;

            img {
                @include rem-fallback(width, 40);
                @include rem-fallback(height, 40);
                @include rem-fallback(padding-left, 10);
            }
        }
    }
}

.background {
    width: 100%;
    background-color: $alt-color;
    @include rem-fallback(height, 400);

    > div {
        width: 100%;
        height: 100%;

        img {
            object-fit: contain !important;
        }
    }
}

@media all and (max-width: 825px) { 
    .post {
        width: 100%;
        left: 0%;
        @include rem-fallback(margin-top, 0);
    }

    .wrapper {
        @include rem-fallback(padding, 25);
    }

    .background {
        display: none;
    }
}

@media all and (max-width: 414px) { 
    .post {
        @include rem-fallback(padding, 10);
        .footer {
            @include rem-fallback(padding, 5);
        }
    }
    .wrapper {
        @include rem-fallback(padding, 5);
    }
}